CDSA

Weekend Vulnerability and Patch Report, Feb. 19, 2017 (Citadel Information Group)

[svg-table-content]

Important Security Updates

Adobe Flash Player: Adobe has released version 24.0.0.221. Updates are available from Adobe’s website.

Adobe Shockwave Player: Adobe has released version 12.2.5.196 of Shockwave Player running on Windows and Macintosh. Updates are available through the program or from Adobe’s Shockwave Web Site.

LastPass: LastPass has released version 4.1.40 for its Free Password Manager. Updates are available from LastPass’ website.

Microsoft Patch Tuesday: Microsoft’s Patch Tuesday, February 2017 security update release was cancelled. See Microsoft’s announcement.

Piriform CCleaner: Piriform has released version 5.27.5976 for CCleaner. Updates are available from Piriform’s website.

Viber: Viber has released version 6.6.0 for Windows. Updates are available on Viber’s website.

Current Software Versions

Adobe Flash 24.0.0.221

Adobe Reader DC 2015.023.20053

Dropbox 19.4.13 [Citadel warns against relying on security of Dropbox or other cloud-based file exchange systems. We recommend files containing sensitive information be independently encrypted with a program like Axcrypt; encryption keys be at least 15 characters long; and the master Dropbox [or other] password be at least 15 characters long and different from other passwords.]

Firefox 51.0.1 [Windows]

Google Chrome 56.0.2924.87

Internet Explorer 11.0.9600.18538

Java SE 8 Update 121 [Citadel recommends removing or disabling Java from your browser. Java is a major source of cyber criminal exploits. It is not needed for most internet browsing. If you have a particular web site that requires Java, Citadel recommends using a two-browser approach to minimize risk. If you normally browse the Web with Firefox, for example, disable the Java plugin in Firefox and use an alternative browser — such as Chrome, IE9, Safari, etc — with Java enabled to browse only the sites that require it.]

Microsoft Edge 39.14986.0.0

QuickTime 7.7.9 [Citadel recommends removing QuickTime. On April 14, US-CERT advised Microsoft Windows users to remove QuickTime. This followed a report in ars technica that Apple has no plans to update the Windows app despite at least two reliable QuickTime vulnerabilities that threaten Windows users who still have the program installed.]

Safari 10.0.3 [Mac OS X Mavericks, Yosemite, El Capitan]

Skype 7.32.0.104

For Your IT Department

Cisco Multiple Products: Cisco has released updates to address vulnerabilities in UCS Director software, ASA Clientless SSL VPN, Unified Communications Manager, Secure Access Control System, Prime Collaboration Assurance, Identify Services Engine, Intrusion Prevention System, Firepower Management Center, Meeting Server, AsyncOS Software, Smart Install Protocol, GNU glibc affecting Cisco products, OpenSSL affecting Cisco products and others. Apply updates. Additional details are available at Cisco’s website.